## cups-filters 1.28.15

=== debian/changelog ===
cups-filters (1.28.15-0ubuntu1.4) jammy-security; urgency=medium

  * SECURITY UPDATE: more complete fix for CVE-2024-47176
    - debian/patches/CVE-2024-47176-2.patch: completely remove support for
      legacy CUPS protocol and LDAP.
    - CVE-2024-47176
  * debian/patches/sec-202409-1.patch: renamed to CVE-2024-47076.patch.
  * debian/patches/sec-202409-2.patch: renamed to CVE-2024-47176-1.patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Oct 2024 07:41:04 -0400

cups-filters (1.28.15-0ubuntu1.3) jammy-security; urgency=medium

  * SECURITY UPDATE: PPD injection issues (LP: #2082335)
    - debian/patches/sec-202409-1.patch: validate response attributes
      before return in cupsfilters/ipp.c.
    - debian/patches/sec-202409-2.patch: disable legacy CUPS protocol in
      configure.ac.
    - CVE-2024-47076
    - CVE-2024-47176

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Sep 2024 10:21:15 -0400

cups-filters (1.28.15-0ubuntu1.2) jammy-security; urgency=medium

  * SECURITY UPDATE: code execution in beh CUPS backend
    - debian/patches/CVE-2023-24805-1.patch: use execv() instead of
      system() in backend/beh.c.
    - debian/patches/CVE-2023-24805-2.patch: extra checks against
      odd/forged input in backend/beh.c.
    - debian/patches/CVE-2023-24805-3.patch: further improvements in
      backend/beh.c.
    - CVE-2023-24805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 May 2023 10:35:05 -0400

cups-filters (1.28.15-0ubuntu1) jammy; urgency=medium

  * New upstream bug fix release.
    - In pdftops identify old LaserJets more precisely for working around
      PostScript interpreter bugs, older printers need Poppler, newer models
      need Ghostscript (LP: #1967816).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 11 Apr 2022 22:19:21 +0200

cups-filters (1.28.14-1) unstable; urgency=medium

  * Update to new upstream version 1.28.14.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Apr 2022 19:30:28 +0200

cups-filters (1.28.13-1) unstable; urgency=medium

  * Update to new upstream version 1.28.13.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 31 Mar 2022 23:26:03 +0200

cups-filters (1.28.12-1) unstable; urgency=medium

  * Update to new upstream version 1.28.12.
  * debian/apparmor/usr.sbin.cups-browsed: Allow reading from Debian Edu's
    cups-browsed config file (/etc/cups/cups-browsed-debian-edu.conf).
    (Closes: #1006183). (patch provided by Mike Gabriel)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Feb 2022 19:42:22 +0100

cups-filters (1.28.11-2) unstable; urgency=medium

  * debian/control: lynx has to be handled different in Debian and Ubuntu
  * debian/rules: lynx has to be handled different in Debian and Ubuntu

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Jan 2022 12:19:51 +0100

cups-filters (1.28.11-1) unstable; urgency=medium

  * Update to new upstream version 1.28.11.
  * debian/control: add myself to Uploaders:
  * debian/control: Recommend lynx (Closes: #896875)
  * debian/control: update homepage (Closes: #995911)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Jan 2022 12:29:51 +0000
