=== debian/watch ===
version=4
https://www.openprinting.org/download/cups-filters/ cups-filters-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)
