## cups-filters 1.28.15-0ubuntu1.2+11.0trisquel1

=== debian/changelog ===
cups-filters (1.28.15-0ubuntu1.2+11.0trisquel1) aramo-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 May 2023 16:42:04 +0000
