## cups-filters 1.28.15-0ubuntu1.3+11.0trisquel1

=== debian/changelog ===
cups-filters (1.28.15-0ubuntu1.3+11.0trisquel1) aramo-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Sep 2024 22:44:34 +0000
