## cups-filters 1.28.15-0ubuntu1.4+11.0trisquel1

=== debian/changelog ===
cups-filters (1.28.15-0ubuntu1.4+11.0trisquel1) aramo-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 14:43:46 +0000
