## cups-filters 1.28.15-0ubuntu1.5+11.0trisquel1

=== debian/changelog ===
cups-filters (1.28.15-0ubuntu1.5+11.0trisquel1) aramo-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 Nov 2025 19:50:08 +0000

cups-filters (1.28.15-0ubuntu1.5) jammy-security; urgency=medium

  * SECURITY UPDATE: heap-buffer overflow write in cfImageLut
    - debian/patches/CVE-2025-57812-1.patch: use bpp in
      cupsfilters/image-tiff.c.
    - debian/patches/CVE-2025-57812-2.patch: reject color images with 1 bit
      per sample in cupsfilters/image-tiff.c.
    - debian/patches/CVE-2025-57812-3.patch: reject images where the number
      of samples does not correspond with the color space in
      cupsfilters/image-tiff.c.
    - debian/patches/CVE-2025-57812-4.patch: reject images with planar
      color configuration in cupsfilters/image-tiff.c.
    - debian/patches/CVE-2025-57812-5.patch: reject images with vertical
      scanlines in cupsfilters/image-tiff.c.
    - CVE-2025-57812
  * SECURITY UPDATE: out-of-bounds write in cfFilterPDFToRaster()
    - debian/patches/CVE-2025-64503.patch: validate page size in
      filter/pdftoraster.cxx.
    - CVE-2025-64503
  * SECURITY UPDATE: Heap Buffer Overflow in rastertopclx Filter
    - debian/patches/CVE-2025-64524.patch: initialize memory and add checks
      to filter/rastertopclx.c.
    - CVE-2025-64524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Nov 2025 09:48:58 -0500
