## cups-filters 1.28.16

=== debian/changelog ===
cups-filters (1.28.16-1ubuntu0.2) kinetic-security; urgency=medium

  * SECURITY UPDATE: code execution in beh CUPS backend
    - debian/patches/CVE-2023-24805-1.patch: use execv() instead of
      system() in backend/beh.c.
    - debian/patches/CVE-2023-24805-2.patch: extra checks against
      odd/forged input in backend/beh.c.
    - debian/patches/CVE-2023-24805-3.patch: further improvements in
      backend/beh.c.
    - CVE-2023-24805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 May 2023 10:35:05 -0400

cups-filters (1.28.16-1) unstable; urgency=medium

  * Update to new upstream version 1.28.16.
  * debian/*symbols: update symbols file
  * debian/control: add libexif-dev as build-dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Sep 2022 00:36:02 +0200

cups-filters (1.28.15-1) unstable; urgency=medium

  * Update to new upstream version 1.28.15.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Apr 2022 19:05:13 +0200
