=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cups-filters
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
@@ -34,6 +34,7 @@
  poppler-utils,
  sharutils,
  zlib1g-dev,
+ libexif-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/cups-filters
 Vcs-Git: https://salsa.debian.org/printing-team/cups-filters.git
