## cups-filters 1.28.17

=== debian/changelog ===
cups-filters (1.28.17-6) unstable; urgency=medium

  * add patch 0006-qpdf-12.patch (Closes: #1100207)
    Thanks a lot to Sébastien Noel for the patch
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Mar 2025 12:45:05 +0100

cups-filters (1.28.17-5) unstable; urgency=medium

  * CVE-2024-47076 (Closes: #1082827)
    cfGetPrinterAttributes5(): Validate response attributes before return
  * CVE-2024-47176 (Closes: #1082820)
    Default BrowseRemoteProtocols should not include "cups" protocol

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2024 23:45:05 +0200

cups-filters (1.28.17-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update symbols file for latest glibc (Closes: #1071303)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Jul 2024 11:20:43 -0400

cups-filters (1.28.17-4) unstable; urgency=medium

  * debian/watch: watch file now only finds version 1.*
                  (for version 2.* see cups-filters2)
  * debian/control: change dependencies of cups-filters-core-drivers
                    cups-ipp-utils|ippsample instead of cups-ipp-utils
                    (Closes: #1040699)
  * add patch to let systemd.pc place systemd units (Closes: #1058774)
    Thanks a lot to Chris Hofstaedtler for providing the patch.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Apr 2024 09:25:20 +0200

cups-filters (1.28.17-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061915

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:14:13 +0000

cups-filters (1.28.17-3) unstable; urgency=medium

  * CVE-2023-24805
    prevent arbitrary command execution by escaping the quoting
    of the arguments in a job with a forged job title
    more information are available in the commit message at:
    https://github.com/OpenPrinting/cups-filters/commit/93e60d3df35
    (Closes: #1036224)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 19 May 2023 18:25:20 +0200

cups-filters (1.28.17-2) unstable; urgency=medium

  * qpdf needs at least c++17
    (Closes: #1032546)
  * update lintian-overrides to really see what is wrong

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Mar 2023 19:25:20 +0100

cups-filters (1.28.17-1) unstable; urgency=medium

  * Update to new upstream version 1.28.17.
    this will be the version in bookworm
    though, bug fixing uploads will follow
  * debian/apparmor/usr.sbin.cups-browsed: avoid spamming syslog
    (thanks a lot to Boyuan Yang for the patch; Closes: #1019270)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 Feb 2023 00:25:20 +0100
