=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cups-filters
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
  Thorsten Alteholz <debian@alteholz.de>,
 Section: net
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  autoconf,
  debhelper-compat (= 13),
  dh-apparmor,
@@ -35,13 +34,17 @@
  sharutils,
  zlib1g-dev,
  libexif-dev,
-Standards-Version: 4.6.0
+ systemd-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/printing-team/cups-filters
 Vcs-Git: https://salsa.debian.org/printing-team/cups-filters.git
 Homepage: http://www.openprinting.org/
 Rules-Requires-Root: no
 
-Package: libcupsfilters1
+Package: libcupsfilters1t64
+Provides: ${t64:Provides}
+Replaces: libcupsfilters1
+Breaks: libcupsfilters1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -131,7 +134,7 @@
 Architecture: any
 Depends:
  bc,
- cups-ipp-utils,
+ cups-ipp-utils | ippsample,
  poppler-utils,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -153,7 +156,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libcupsfilters1 (= ${binary:Version}),
+ libcupsfilters1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OpenPrinting CUPS Filters - Development files for the library
@@ -170,7 +173,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libfontembed1 (= ${binary:Version}),
+ libfontembed1t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OpenPrinting CUPS Filters - Development files for font embed library
@@ -180,7 +183,10 @@
  This package contains the header files to develop applications using
  libfontembed.
 
-Package: libfontembed1
+Package: libfontembed1t64
+Provides: ${t64:Provides}
+Replaces: libfontembed1
+Breaks: libfontembed1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
