=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 else
 	SUBSTVARS = -Vcf:Recommends="lynx"
 endif
+
+export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -50,7 +52,7 @@
 	#  - Install Apport hook
 	#  - Replace standard test page template by Ubuntu-branded one
 	install -D -m 644 debian/local/apport-hook.py debian/cups-filters/usr/share/apport/package-hooks/source_cups-filters.py
-	install -D -m 644 debian/local/default-testpage-trisquel.pdf debian/cups-filters/usr/share/cups/data/default-testpage.pdf
+	install -D -m 644 debian/local/default-testpage-ubuntu.pdf debian/cups-filters/usr/share/cups/data/default-testpage.pdf
 else
 	mkdir -p debian/cups-filters/usr/share/cups/data/
 	rsvg-convert debian/local/default-testpage-debian.svg -f pdf > debian/cups-filters/usr/share/cups/data/default-testpage.pdf
