=== debian/watch ===
# watch file only finds 1.* (for 2.* use cups-filters2)
version=4
opts="filenamemangle=s%(?:.*?)?v?(1.[\d.]*)\.tar\.gz%cups-filters-$1.tar.gz%" \
    https://github.com/OpenPrinting/cups-filters/tags \
    (?:.*?/)?v?(1.[\d.]*)\.tar\.gz

# watch file finds 1.* and 2.*
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cups-filters-$1.tar.gz%" \
#    https://github.com/OpenPrinting/cups-filters/tags \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz


# not everything is published here
#version=4
#https://www.openprinting.org/download/cups-filters/ cups-filters-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)
