## cups-filters 2.0~rc1

=== debian/changelog ===
cups-filters (2.0~rc1-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: code execution in beh CUPS backend
    - debian/patches/CVE-2023-24805-1.patch: use execv() instead of
      system() in backend/beh.c.
    - debian/patches/CVE-2023-24805-2.patch: extra checks against
      odd/forged input in backend/beh.c.
    - debian/patches/CVE-2023-24805-3.patch: further improvements in
      backend/beh.c.
    - CVE-2023-24805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 May 2023 10:35:05 -0400

cups-filters (2.0~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0rc1.
    - Fixes of bugs discovered by Coverity scan
    - foomatic-rip SIGPIPE issue fix.
  * Removed fix-sigpipe-on-gs.patch, included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Apr 2023 01:41:38 +0200

cups-filters (2.0~b3-0ubuntu2) lunar; urgency=medium

  * debian/patches/fix-sigpipe-on-gs.patch: fix a SIGPIPE error when
    calling gs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Mar 2023 19:53:15 +0000

cups-filters (2.0~b3-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0b3.
  * Removed patch to remove "#include <fontconfig/fontconfig.h>" from
    filter/texttopdf.c. Fixed upstream.
  * Removed unnecessary build dependency on libpoppler-cpp,
    configure.ac fixed upstream.
  * debian/copyright: Updated to match upstream COPYING file.
  * Install the LICENSE file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 03 Mar 2023 23:18:29 +0100

cups-filters (2.0~b2-0ubuntu8) lunar; urgency=medium

  * Added Braille embosser support from cups-filters 1.x/braille-printer-app
    for the time being until we get a the Braille Printer Application. See
    debian/NEWS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  3 Mar 2023 20:47:07 +0100

cups-filters (2.0~b2-0ubuntu7) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 03:57:35 +0000

cups-filters (2.0~b2-0ubuntu6) lunar; urgency=medium

  * debian/copyright: Update years in copyright of debian/ (lintian warning).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Jan 2023 22:12:07 -0300

cups-filters (2.0~b2-0ubuntu5) lunar; urgency=medium

  * Fix debian/copyright syntax.
  * Fix stale standards-version.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Jan 2023 21:53:07 -0300

cups-filters (2.0~b2-0ubuntu4) lunar; urgency=medium

  * Removed "#include <fontconfig/fontconfig.h>" from filter/texttopdf.c.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Jan 2023 15:34:06 -0300

cups-filters (2.0~b2-0ubuntu3) lunar; urgency=medium

  * Also added build dependencies on ghostscript, mupdf-tools, and
    cups-ipp-utils.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Jan 2023 14:43:06 -0300

cups-filters (2.0~b2-0ubuntu2) lunar; urgency=medium

  * Added build dependency on libpoppler-cpp (only for 2.0b2, 2.0b3 will
    be fixed upstream).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Jan 2023 14:13:06 -0300

cups-filters (2.0~b2-0ubuntu1) lunar; urgency=medium

  * Update to new upstream version 2.0b2.
  * From the second generation on (2.x) cups-filters upstream is split
    into libcupsfilters, libppd, cups-filters, braille-printer-app, and
    cups-browsed. This package is cups-filters.
  * cups-filters 2.x provides legacy CUPS filters and backends, and the
    driverless utility to set up driverless printers with classic
    printer setup tools. The filters are only simple wrappers using the
    filter functions of libcupsfilters2. To be used with CUPS 2.x.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  9 Jan 2023 23:49:06 -0300
