## cups-filters 2.0.0

=== debian/changelog ===
cups-filters (2.0.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:47:01 +0000

cups-filters (2.0.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcupsfilters2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 19:08:37 +0000

cups-filters (2.0.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:46:41 +1300

cups-filters (2.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Final release with further bug fixes
    - Fix for CVE-2023-24805 included
    - The "universal" filter also supports application/vnd.cups-postscript
      as input format now, treating it as application/postscript.
  * Removed patches, fixes are included in the upstream code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Sep 2023 18:15:51 +0200
