=== debian/control ===
Source: cups-filters
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Till Kamppeter <till.kamppeter@gmail.com>,
 Thorsten Alteholz <debian@alteholz.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 debhelper-compat (= 13),
 dh-apparmor,
 libcups2-dev (>= 2.2.2),
 libcupsfilters-dev (>= 2~),
 libppd-dev (>= 2~),
 libavahi-client-dev,
 libavahi-common-dev,
 libdbus-1-dev,
 pkg-config,
 poppler-utils,
 ghostscript,
 mupdf-tools,
 cups-ipp-utils,
 sharutils,
 zlib1g-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/printing-team/cups-filters
Vcs-Git: https://salsa.debian.org/printing-team/cups-filters.git
Homepage: http://www.openprinting.org/
Rules-Requires-Root: no

Package: cups-filters
Architecture: any
Depends:
 bc,
 cups-filters-core-drivers (>= ${binary:Version}),
 ghostscript,
 poppler-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 colord,
 printer-driver-braille,
 liblouisutdml-bin | liblouis-bin,
 ${cf:Recommends},
Suggests:
 antiword,
 docx2txt,
 foomatic-db-compressed-ppds | foomatic-db,
 imagemagick,
 ${cf:Suggests},
Conflicts:
 foomatic-filters,
 foomatic-filters-beh,
 ghostscript-cups,
Provides:
 foomatic-filters,
 foomatic-filters-beh,
 ghostscript-cups,
Replaces:
 foomatic-filters,
 foomatic-filters-beh,
 ghostscript-cups,
Description: OpenPrinting CUPS Filters - Main Package
 This package provides additional CUPS filters which are not provided
 by the CUPS project itself. This includes filters for a PDF based
 printing workflow.
 .
 This package contains the filters for printing with drivers/PPDs and
 for converting non-PDF input files to PDF.

Package: cups-filters-core-drivers
Architecture: any
Depends:
 bc,
 cups-ipp-utils,
 poppler-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 cups-filters (<< 1.13.0),
Replaces:
 cups-filters (<< 1.13.0),
Description: OpenPrinting CUPS Filters - Driverless printing
 This package provides additional CUPS filters which are not provided
 by the CUPS project itself. This includes filters for a PDF based
 printing workflow.
 .
 This package contains only the filters needed for driverless printing of
 PDF input files on IPP printers with known, common languages (PDF,
 PostScript, PWG Raster, Apple Raster, PCL).
