## cups-filters 2.0.0-0ubuntu3

=== debian/changelog ===
cups-filters (2.0.0-0ubuntu3) ecne; urgency=medium

  * Set lower version on placeholder package.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Oct 2024 02:57:22 +0000
