## cups-filters 2.0.1

=== debian/changelog ===
cups-filters (2.0.1-0ubuntu3) plucky; urgency=medium

  * Use individual CUPS filters, not the universal one, there are proprietary
    CUPS drivers which do not work with the universal one.
  * Moved filters bannertopdf, imagetoraster, pclmtoraster, pwgtoraster,
    and texttopdf from cups-filters to cups-filters-core-drivers to cover
    all rules of usr/share/cups/mime/cupsfilters-individual.convs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Mar 2025 22:24:55 +0100

cups-filters (2.0.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Jan 2025 14:13:52 -0500

cups-filters (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release
    - Minor bug fixes

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Aug 2024 02:16:55 +0200
