=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cups-filters
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders:
  Till Kamppeter <till.kamppeter@gmail.com>,
@@ -78,9 +78,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- cups-filters (<< 1.13.0),
+ cups-filters (<< 2.0.1-0ubuntu3),
 Replaces:
- cups-filters (<< 1.13.0),
+ cups-filters (<< 2.0.1-0ubuntu3),
 Description: OpenPrinting CUPS Filters - Driverless printing
  This package provides additional CUPS filters which are not provided
  by the CUPS project itself. This includes filters for a PDF based
