=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,9 @@
 		--mandir=/usr/share/man \
 		--enable-static \
 		--enable-mutool \
-		--with-mutool-path=/usr/bin/mutool
+		--with-mutool-path=/usr/bin/mutool \
+		--disable-universal-cups-filter \
+		--enable-individual-cups-filters
 
 override_dh_auto_build:
 	dh_auto_build
