=== debian/watch ===
version=4
https://github.com/OpenPrinting/cups-filters/releases .*/cups-filters-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)
